=== modified file 'src/2geom/interval.h'
--- src/2geom/interval.h	2008-12-13 19:56:16 +0000
+++ src/2geom/interval.h	2014-03-23 19:56:12 +0000
@@ -238,7 +238,7 @@
     /**
      * Check whether this OptInterval is empty or not.
      */
-    inline bool isEmpty() { return (*this == false); };
+    //inline bool isEmpty() { return (*this); };
     
     /**
      * If \c this is empty, copy argument \c a. Otherwise, union with it (and do nothing when \c a is empty)

=== modified file 'src/2geom/rect.h'
--- src/2geom/rect.h	2009-01-07 22:00:50 +0000
+++ src/2geom/rect.h	2014-03-23 19:56:12 +0000
@@ -215,7 +215,7 @@
     /**
      * Check whether this OptRect is empty or not.
      */
-    inline bool isEmpty() const { return (*this == false); };
+    inline bool isEmpty() const { return (*this); };
 
     /**
      * If \c this is empty, copy argument \c b. Otherwise, union with it (and do nothing when \c b is empty)

=== modified file 'src/color-profile.cpp'
--- src/color-profile.cpp	2013-12-13 08:55:54 +0000
+++ src/color-profile.cpp	2014-03-18 11:45:34 +0000
@@ -10,7 +10,7 @@
 #include <glib/gi18n.h>
 
 #ifdef DEBUG_LCMS
-#include <gtk.h>
+#include <gtk/gtk.h>
 #endif // DEBUG_LCMS
 
 #include <cstring>

=== modified file 'src/connector-context.cpp'
--- src/connector-context.cpp	2010-08-13 14:54:19 +0000
+++ src/connector-context.cpp	2014-03-23 19:56:12 +0000
@@ -1287,15 +1287,15 @@
         if (found) {
             if (cc->clickedhandle == cc->endpt_handle[0]) {
                 sp_object_setAttribute(cc->clickeditem,
-                        "inkscape:connection-start", shape_label, false);
+                        "inkscape:connection-start", shape_label, NULL);
                 sp_object_setAttribute(cc->clickeditem,
-                        "inkscape:connection-start-point", cpid, false);
+                        "inkscape:connection-start-point", cpid, NULL);
             }
             else {
                 sp_object_setAttribute(cc->clickeditem,
-                        "inkscape:connection-end", shape_label, false);
+                        "inkscape:connection-end", shape_label, NULL);
                 sp_object_setAttribute(cc->clickeditem,
-                        "inkscape:connection-end-point", cpid, false);
+                        "inkscape:connection-end-point", cpid, NULL);
             }
             g_free(shape_label);
         }
@@ -1435,26 +1435,26 @@
 
         bool connection = false;
         sp_object_setAttribute(cc->newconn, "inkscape:connector-type",
-                cc->isOrthogonal ? "orthogonal" : "polyline", false);
+                cc->isOrthogonal ? "orthogonal" : "polyline", NULL);
         sp_object_setAttribute(cc->newconn, "inkscape:connector-curvature",
-                Glib::Ascii::dtostr(cc->curvature).c_str(), false);
+                Glib::Ascii::dtostr(cc->curvature).c_str(), NULL);
         if (cc->shref)
         {
             sp_object_setAttribute(cc->newconn, "inkscape:connection-start",
-                    cc->shref, false);
+                    cc->shref, NULL);
             if (cc->scpid)
                 sp_object_setAttribute(cc->newconn, "inkscape:connection-start-point",
-                        cc->scpid, false);
+                        cc->scpid, NULL);
             connection = true;
         }
 
         if (cc->ehref)
         {
             sp_object_setAttribute(cc->newconn, "inkscape:connection-end",
-                    cc->ehref, false);
+                    cc->ehref, NULL);
             if (cc->ecpid)
                 sp_object_setAttribute(cc->newconn, "inkscape:connection-end-point",
-                        cc->ecpid, false);
+                        cc->ecpid, NULL);
             connection = true;
         }
         // Process pending updates.
@@ -1937,7 +1937,7 @@
 
         if (cc_item_is_shape(item)) {
             sp_object_setAttribute(item, "inkscape:connector-avoid",
-                    value, false);
+                    value, NULL);
             item->avoidRef->handleSettingChange();
             changes++;
         }

=== modified file 'src/extension/effect.cpp'
--- src/extension/effect.cpp	2013-11-18 12:09:45 +0000
+++ src/extension/effect.cpp	2014-03-23 19:56:12 +0000
@@ -323,7 +323,7 @@
 Inkscape::XML::Node *
 Effect::find_menu (Inkscape::XML::Node * menustruct, const gchar *name)
 {
-    if (menustruct == NULL) return false;
+    if (menustruct == NULL) return NULL;
     for (Inkscape::XML::Node * child = menustruct;
             child != NULL;
             child = child->next()) {

=== modified file 'src/gradient-drag.cpp'
--- src/gradient-drag.cpp	2013-09-21 22:20:09 +0000
+++ src/gradient-drag.cpp	2014-03-23 19:56:12 +0000
@@ -1969,7 +1969,7 @@
 {
     if (!selected) return;
 
-    SPDocument *document = false;
+    SPDocument *document = NULL;
 
     struct StructStopInfo {
         SPStop * spstop;

=== modified file 'src/interface.cpp'
--- src/interface.cpp	2013-12-10 12:44:19 +0000
+++ src/interface.cpp	2014-03-23 19:56:12 +0000
@@ -1154,7 +1154,7 @@
                             sp_object_setAttribute( SP_OBJECT(item),
                                                     fillnotstroke ? "inkscape:x-fill-tag":"inkscape:x-stroke-tag",
                                                     palName.c_str(),
-                                                    false );
+                                                    NULL );
                             item->updateRepr();
 
                             sp_repr_css_set_property( css, fillnotstroke ? "fill":"stroke", c );

=== modified file 'src/live_effects/lpe-perp_bisector.h'
--- src/live_effects/lpe-perp_bisector.h	2008-08-01 19:18:17 +0000
+++ src/live_effects/lpe-perp_bisector.h	2014-03-23 19:56:12 +0000
@@ -27,7 +27,7 @@
   class KnotHolderEntityEnd;
   class KnotHolderEntityLeftEnd;
   class KnotHolderEntityRightEnd;
-  void bisector_end_set(SPItem *item, Geom::Point const &p, bool left);
+  void bisector_end_set(SPItem *item, Geom::Point const &p, bool left = true);
 }
 
 class LPEPerpBisector : public Effect {
@@ -46,7 +46,7 @@
     friend class PB::KnotHolderEntityEnd;
     friend class PB::KnotHolderEntityLeftEnd;
     friend class PB::KnotHolderEntityRightEnd;
-    friend void PB::bisector_end_set(SPItem *item, Geom::Point const &p, bool left = true);
+    friend void PB::bisector_end_set(SPItem *item, Geom::Point const &p, bool left);
 
 private:
     ScalarParam length_left;

=== modified file 'src/sp-polygon.cpp'
--- src/sp-polygon.cpp	2013-12-05 22:00:41 +0000
+++ src/sp-polygon.cpp	2014-03-23 19:56:12 +0000
@@ -144,7 +144,7 @@
         (*p)++;
     }
 
-    if (*p == '\0') {
+    if (**p == '\0') {
         return false;
     }
 

=== modified file 'src/widgets/toolbox.cpp'
--- src/widgets/toolbox.cpp	2013-12-12 13:45:52 +0000
+++ src/widgets/toolbox.cpp	2014-03-23 19:56:12 +0000
@@ -7932,7 +7932,7 @@
 
         if (cc_item_is_connector(item)) {
             sp_object_setAttribute(item, "inkscape:connector-type",
-                    value, false);
+                    value, NULL);
             item->avoidRef->handleSettingChange();
             modmade = true;
         }
@@ -7981,7 +7981,7 @@
 
         if (cc_item_is_connector(item)) {
             sp_object_setAttribute(item, "inkscape:connector-curvature",
-                    value, false);
+                    value, NULL);
             item->avoidRef->handleSettingChange();
             modmade = true;
         }