Index: Portfile
===================================================================
--- Portfile	(revision 118173)
+++ Portfile	(working copy)
@@ -19,21 +19,31 @@
                     sha256  a0b5d9cc18b90891c20b3645567b31edda1e6f61e6a4c2f314ac77490bb767b1
 
 depends_build       port:pkgconfig \
-                    port:gnome-doc-utils
+                    port:intltool \
+                    port:gtk-doc \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool \
+                    port:gnome-common
 
 depends_lib         path:lib/pkgconfig/glib-2.0.pc:glib2 \
                     port:libxml2 \
                     port:libsoup \
-                    port:rarian
+                    port:gobject-introspection
 
-configure.args      --disable-scrollkeeper
+patchfiles          patch-netinet-utils.h.diff \
+                    patch-autotools.diff
 
-patchfiles          patch-netinet-utils.h.diff
+# temporary work around for absence of po/POTFILES.in
+# silences non-fatal error during configure
 
-post-activate {
-    system "${prefix}/bin/scrollkeeper-update"
-}
+post-patch {
+    file mkdir ${worksrcpath}/po
+    touch ${worksrcpath}/po/POTFILES.in
+}    
 
-livecheck.type  regex
-livecheck.url   http://gtk.mplat.es/libgrss/tarballs/
-livecheck.regex "${name}-(\\d+(?:\\.\\d+)*)${extract.suffix}"
+configure.cmd       ./autogen.sh
+
+livecheck.type      regex
+livecheck.url       http://gtk.mplat.es/libgrss/tarballs/
+livecheck.regex     "${name}-(\\d+(?:\\.\\d+)*)${extract.suffix}"
Index: files/patch-autotools.diff
===================================================================
--- files/patch-autotools.diff	(revision 0)
+++ files/patch-autotools.diff	(working copy)
@@ -0,0 +1,625 @@
+From 876a8327d6ded380ff5e6c5130c0e00e543eba24 Mon Sep 17 00:00:00 2001
+From: Roberto Guido <bob4job@gmail.com>
+Date: Thu, 20 Mar 2014 01:15:21 +0000
+Subject: Updated autotools files
+
+---
+diff --git a/INSTALL b/INSTALL
+index 6931b4e..2099840 100644
+--- INSTALL
++++ INSTALL
+@@ -1,8 +1,370 @@
+-The simple way to install libgrss is:
++Installation Instructions
++*************************
+ 
+-./configure
+-make
+-sudo make install
++Copyright (C) 1994-1996, 1999-2002, 2004-2013 Free Software Foundation,
++Inc.
+ 
+-You can also use the --enable-gtk-doc option with ./configure to generate
+-documentation in GtkDoc format.
++   Copying and distribution of this file, with or without modification,
++are permitted in any medium without royalty provided the copyright
++notice and this notice are preserved.  This file is offered as-is,
++without warranty of any kind.
++
++Basic Installation
++==================
++
++   Briefly, the shell command `./configure && make && make install'
++should configure, build, and install this package.  The following
++more-detailed instructions are generic; see the `README' file for
++instructions specific to this package.  Some packages provide this
++`INSTALL' file but do not implement all of the features documented
++below.  The lack of an optional feature in a given package is not
++necessarily a bug.  More recommendations for GNU packages can be found
++in *note Makefile Conventions: (standards)Makefile Conventions.
++
++   The `configure' shell script attempts to guess correct values for
++various system-dependent variables used during compilation.  It uses
++those values to create a `Makefile' in each directory of the package.
++It may also create one or more `.h' files containing system-dependent
++definitions.  Finally, it creates a shell script `config.status' that
++you can run in the future to recreate the current configuration, and a
++file `config.log' containing compiler output (useful mainly for
++debugging `configure').
++
++   It can also use an optional file (typically called `config.cache'
++and enabled with `--cache-file=config.cache' or simply `-C') that saves
++the results of its tests to speed up reconfiguring.  Caching is
++disabled by default to prevent problems with accidental use of stale
++cache files.
++
++   If you need to do unusual things to compile the package, please try
++to figure out how `configure' could check whether to do them, and mail
++diffs or instructions to the address given in the `README' so they can
++be considered for the next release.  If you are using the cache, and at
++some point `config.cache' contains results you don't want to keep, you
++may remove or edit it.
++
++   The file `configure.ac' (or `configure.in') is used to create
++`configure' by a program called `autoconf'.  You need `configure.ac' if
++you want to change it or regenerate `configure' using a newer version
++of `autoconf'.
++
++   The simplest way to compile this package is:
++
++  1. `cd' to the directory containing the package's source code and type
++     `./configure' to configure the package for your system.
++
++     Running `configure' might take a while.  While running, it prints
++     some messages telling which features it is checking for.
++
++  2. Type `make' to compile the package.
++
++  3. Optionally, type `make check' to run any self-tests that come with
++     the package, generally using the just-built uninstalled binaries.
++
++  4. Type `make install' to install the programs and any data files and
++     documentation.  When installing into a prefix owned by root, it is
++     recommended that the package be configured and built as a regular
++     user, and only the `make install' phase executed with root
++     privileges.
++
++  5. Optionally, type `make installcheck' to repeat any self-tests, but
++     this time using the binaries in their final installed location.
++     This target does not install anything.  Running this target as a
++     regular user, particularly if the prior `make install' required
++     root privileges, verifies that the installation completed
++     correctly.
++
++  6. You can remove the program binaries and object files from the
++     source code directory by typing `make clean'.  To also remove the
++     files that `configure' created (so you can compile the package for
++     a different kind of computer), type `make distclean'.  There is
++     also a `make maintainer-clean' target, but that is intended mainly
++     for the package's developers.  If you use it, you may have to get
++     all sorts of other programs in order to regenerate files that came
++     with the distribution.
++
++  7. Often, you can also type `make uninstall' to remove the installed
++     files again.  In practice, not all packages have tested that
++     uninstallation works correctly, even though it is required by the
++     GNU Coding Standards.
++
++  8. Some packages, particularly those that use Automake, provide `make
++     distcheck', which can by used by developers to test that all other
++     targets like `make install' and `make uninstall' work correctly.
++     This target is generally not run by end users.
++
++Compilers and Options
++=====================
++
++   Some systems require unusual options for compilation or linking that
++the `configure' script does not know about.  Run `./configure --help'
++for details on some of the pertinent environment variables.
++
++   You can give `configure' initial values for configuration parameters
++by setting variables in the command line or in the environment.  Here
++is an example:
++
++     ./configure CC=c99 CFLAGS=-g LIBS=-lposix
++
++   *Note Defining Variables::, for more details.
++
++Compiling For Multiple Architectures
++====================================
++
++   You can compile the package for more than one kind of computer at the
++same time, by placing the object files for each architecture in their
++own directory.  To do this, you can use GNU `make'.  `cd' to the
++directory where you want the object files and executables to go and run
++the `configure' script.  `configure' automatically checks for the
++source code in the directory that `configure' is in and in `..'.  This
++is known as a "VPATH" build.
++
++   With a non-GNU `make', it is safer to compile the package for one
++architecture at a time in the source code directory.  After you have
++installed the package for one architecture, use `make distclean' before
++reconfiguring for another architecture.
++
++   On MacOS X 10.5 and later systems, you can create libraries and
++executables that work on multiple system types--known as "fat" or
++"universal" binaries--by specifying multiple `-arch' options to the
++compiler but only a single `-arch' option to the preprocessor.  Like
++this:
++
++     ./configure CC="gcc -arch i386 -arch x86_64 -arch ppc -arch ppc64" \
++                 CXX="g++ -arch i386 -arch x86_64 -arch ppc -arch ppc64" \
++                 CPP="gcc -E" CXXCPP="g++ -E"
++
++   This is not guaranteed to produce working output in all cases, you
++may have to build one architecture at a time and combine the results
++using the `lipo' tool if you have problems.
++
++Installation Names
++==================
++
++   By default, `make install' installs the package's commands under
++`/usr/local/bin', include files under `/usr/local/include', etc.  You
++can specify an installation prefix other than `/usr/local' by giving
++`configure' the option `--prefix=PREFIX', where PREFIX must be an
++absolute file name.
++
++   You can specify separate installation prefixes for
++architecture-specific files and architecture-independent files.  If you
++pass the option `--exec-prefix=PREFIX' to `configure', the package uses
++PREFIX as the prefix for installing programs and libraries.
++Documentation and other data files still use the regular prefix.
++
++   In addition, if you use an unusual directory layout you can give
++options like `--bindir=DIR' to specify different values for particular
++kinds of files.  Run `configure --help' for a list of the directories
++you can set and what kinds of files go in them.  In general, the
++default for these options is expressed in terms of `${prefix}', so that
++specifying just `--prefix' will affect all of the other directory
++specifications that were not explicitly provided.
++
++   The most portable way to affect installation locations is to pass the
++correct locations to `configure'; however, many packages provide one or
++both of the following shortcuts of passing variable assignments to the
++`make install' command line to change installation locations without
++having to reconfigure or recompile.
++
++   The first method involves providing an override variable for each
++affected directory.  For example, `make install
++prefix=/alternate/directory' will choose an alternate location for all
++directory configuration variables that were expressed in terms of
++`${prefix}'.  Any directories that were specified during `configure',
++but not in terms of `${prefix}', must each be overridden at install
++time for the entire installation to be relocated.  The approach of
++makefile variable overrides for each directory variable is required by
++the GNU Coding Standards, and ideally causes no recompilation.
++However, some platforms have known limitations with the semantics of
++shared libraries that end up requiring recompilation when using this
++method, particularly noticeable in packages that use GNU Libtool.
++
++   The second method involves providing the `DESTDIR' variable.  For
++example, `make install DESTDIR=/alternate/directory' will prepend
++`/alternate/directory' before all installation names.  The approach of
++`DESTDIR' overrides is not required by the GNU Coding Standards, and
++does not work on platforms that have drive letters.  On the other hand,
++it does better at avoiding recompilation issues, and works well even
++when some directory options were not specified in terms of `${prefix}'
++at `configure' time.
++
++Optional Features
++=================
++
++   If the package supports it, you can cause programs to be installed
++with an extra prefix or suffix on their names by giving `configure' the
++option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.
++
++   Some packages pay attention to `--enable-FEATURE' options to
++`configure', where FEATURE indicates an optional part of the package.
++They may also pay attention to `--with-PACKAGE' options, where PACKAGE
++is something like `gnu-as' or `x' (for the X Window System).  The
++`README' should mention any `--enable-' and `--with-' options that the
++package recognizes.
++
++   For packages that use the X Window System, `configure' can usually
++find the X include and library files automatically, but if it doesn't,
++you can use the `configure' options `--x-includes=DIR' and
++`--x-libraries=DIR' to specify their locations.
++
++   Some packages offer the ability to configure how verbose the
++execution of `make' will be.  For these packages, running `./configure
++--enable-silent-rules' sets the default to minimal output, which can be
++overridden with `make V=1'; while running `./configure
++--disable-silent-rules' sets the default to verbose, which can be
++overridden with `make V=0'.
++
++Particular systems
++==================
++
++   On HP-UX, the default C compiler is not ANSI C compatible.  If GNU
++CC is not installed, it is recommended to use the following options in
++order to use an ANSI C compiler:
++
++     ./configure CC="cc -Ae -D_XOPEN_SOURCE=500"
++
++and if that doesn't work, install pre-built binaries of GCC for HP-UX.
++
++   HP-UX `make' updates targets which have the same time stamps as
++their prerequisites, which makes it generally unusable when shipped
++generated files such as `configure' are involved.  Use GNU `make'
++instead.
++
++   On OSF/1 a.k.a. Tru64, some versions of the default C compiler cannot
++parse its `<wchar.h>' header file.  The option `-nodtk' can be used as
++a workaround.  If GNU CC is not installed, it is therefore recommended
++to try
++
++     ./configure CC="cc"
++
++and if that doesn't work, try
++
++     ./configure CC="cc -nodtk"
++
++   On Solaris, don't put `/usr/ucb' early in your `PATH'.  This
++directory contains several dysfunctional programs; working variants of
++these programs are available in `/usr/bin'.  So, if you need `/usr/ucb'
++in your `PATH', put it _after_ `/usr/bin'.
++
++   On Haiku, software installed for all users goes in `/boot/common',
++not `/usr/local'.  It is recommended to use the following options:
++
++     ./configure --prefix=/boot/common
++
++Specifying the System Type
++==========================
++
++   There may be some features `configure' cannot figure out
++automatically, but needs to determine by the type of machine the package
++will run on.  Usually, assuming the package is built to be run on the
++_same_ architectures, `configure' can figure that out, but if it prints
++a message saying it cannot guess the machine type, give it the
++`--build=TYPE' option.  TYPE can either be a short name for the system
++type, such as `sun4', or a canonical name which has the form:
++
++     CPU-COMPANY-SYSTEM
++
++where SYSTEM can have one of these forms:
++
++     OS
++     KERNEL-OS
++
++   See the file `config.sub' for the possible values of each field.  If
++`config.sub' isn't included in this package, then this package doesn't
++need to know the machine type.
++
++   If you are _building_ compiler tools for cross-compiling, you should
++use the option `--target=TYPE' to select the type of system they will
++produce code for.
++
++   If you want to _use_ a cross compiler, that generates code for a
++platform different from the build platform, you should specify the
++"host" platform (i.e., that on which the generated programs will
++eventually be run) with `--host=TYPE'.
++
++Sharing Defaults
++================
++
++   If you want to set default values for `configure' scripts to share,
++you can create a site shell script called `config.site' that gives
++default values for variables like `CC', `cache_file', and `prefix'.
++`configure' looks for `PREFIX/share/config.site' if it exists, then
++`PREFIX/etc/config.site' if it exists.  Or, you can set the
++`CONFIG_SITE' environment variable to the location of the site script.
++A warning: not all `configure' scripts look for a site script.
++
++Defining Variables
++==================
++
++   Variables not defined in a site shell script can be set in the
++environment passed to `configure'.  However, some packages may run
++configure again during the build, and the customized values of these
++variables may be lost.  In order to avoid this problem, you should set
++them in the `configure' command line, using `VAR=value'.  For example:
++
++     ./configure CC=/usr/local2/bin/gcc
++
++causes the specified `gcc' to be used as the C compiler (unless it is
++overridden in the site shell script).
++
++Unfortunately, this technique does not work for `CONFIG_SHELL' due to
++an Autoconf limitation.  Until the limitation is lifted, you can use
++this workaround:
++
++     CONFIG_SHELL=/bin/bash ./configure CONFIG_SHELL=/bin/bash
++
++`configure' Invocation
++======================
++
++   `configure' recognizes the following options to control how it
++operates.
++
++`--help'
++`-h'
++     Print a summary of all of the options to `configure', and exit.
++
++`--help=short'
++`--help=recursive'
++     Print a summary of the options unique to this package's
++     `configure', and exit.  The `short' variant lists options used
++     only in the top level, while the `recursive' variant lists options
++     also present in any nested packages.
++
++`--version'
++`-V'
++     Print the version of Autoconf used to generate the `configure'
++     script, and exit.
++
++`--cache-file=FILE'
++     Enable the cache: use and save the results of the tests in FILE,
++     traditionally `config.cache'.  FILE defaults to `/dev/null' to
++     disable caching.
++
++`--config-cache'
++`-C'
++     Alias for `--cache-file=config.cache'.
++
++`--quiet'
++`--silent'
++`-q'
++     Do not print messages saying which checks are being made.  To
++     suppress all normal output, redirect it to `/dev/null' (any error
++     messages will still be shown).
++
++`--srcdir=DIR'
++     Look for the package's source code in directory DIR.  Usually
++     `configure' can determine that directory automatically.
++
++`--prefix=DIR'
++     Use DIR as the installation prefix.  *note Installation Names::
++     for more details, including other options available for fine-tuning
++     the installation locations.
++
++`--no-create'
++`-n'
++     Run the configure checks, but stop before creating any output
++     files.
++
++`configure' also accepts some other, not widely useful, options.  Run
++`configure --help' for more details.
+diff --git a/autogen.sh b/autogen.sh
+index 5c0e4e6..30119f5 100755
+--- autogen.sh
++++ autogen.sh
+@@ -5,10 +5,19 @@ srcdir=`dirname $0`
+ test -z "$srcdir" && srcdir=.
+ 
+ PKG_NAME="libgrss"
++REQUIRED_AUTOMAKE_VERSION=1.9
++REQUIRED_M4MACROS=introspection.m4
++
++(test -f $srcdir/configure.ac \
++  ) || {
++    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
++    echo " top-level $PKG_NAME directory"
++    exit 1
++}
+ 
+ which gnome-autogen.sh || {
+-        echo "Missing gnome-autogen.sh: you need to install gnome-common"
+-        exit 1
++    echo "You need to install gnome-common."
++    exit 1
+ }
+ 
+-USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh
++. gnome-autogen.sh
+--- configure.ac.orig	2012-03-03 16:11:22.000000000 -0800
++++ configure.ac	2014-03-25 02:03:00.000000000 -0700
+@@ -1,109 +1,111 @@
+-m4_define([libgrss_major_version], [0])
+-m4_define([libgrss_minor_version], [5])
+-m4_define([libgrss_micro_version], [0])
+-
+-m4_define([libgrss_version],
+-          [libgrss_major_version.libgrss_minor_version.libgrss_micro_version])
+-
+-m4_define([libgrss_interface_age], [0])
+-m4_define([libgrss_binary_age],
+-          [m4_eval(100 * libgrss_minor_version + libgrss_micro_version)])
+-
+-m4_define([lt_current],
+-          [m4_eval(100 * libgrss_minor_version + libgrss_micro_version - libgrss_interface_age)])
+-m4_define([lt_revision], [libgrss_interface_age])
+-m4_define([lt_age],
+-          [m4_eval(libgrss_binary_age - libgrss_interface_age)])
+-
+-m4_define([glib_req_version], [2.30.2])
+-m4_define([xml_req_version], [2.7.8])
+-m4_define([soup_req_version], [2.36.1])
+-
+-AC_PREREQ([2.59])
+-AC_INIT([libgrss], [libgrss_version], [], [libgrss])
+-
+-AM_INIT_AUTOMAKE([1.10])
+-AM_CONFIG_HEADER([config.h])
+-
+-GNOME_COMMON_INIT
+-GNOME_COMPILE_WARNINGS
+-GNOME_DEBUG_CHECK
+-
+-AM_DISABLE_STATIC
+-AM_PATH_GLIB_2_0
+-AM_PROG_CC_C_O
+-AM_PROG_LIBTOOL
+-
+-AC_HEADER_STDC
+-AC_CHECK_HEADERS([unistd.h])
+-AC_C_CONST
+-AC_FUNC_MALLOC
+-AC_FUNC_MMAP
+-AC_PATH_PROG([GLIB_GENMARSHAL], [glib-genmarshal])
+-AC_PATH_PROG([GLIB_MKENUMS], [glib-mkenums])
+-AC_CHECK_FUNCS([strptime localtime_r])
++AC_PREREQ(2.62)
+ 
+-LIBGRSS_MAJOR_VERSION=libgrss_major_version
+-LIBGRSS_MINOR_VERSION=libgrss_minor_version
+-LIBGRSS_MICRO_VERSION=libgrss_micro_version
+-LIBGRSS_VERSION=libgrss_version
+-AC_SUBST(LIBGRSS_MAJOR_VERSION)
+-AC_SUBST(LIBGRSS_MICRO_VERSION)
+-AC_SUBST(LIBGRSS_MINOR_VERSION)
++m4_define([grss_major_version], [0])
++m4_define([grss_minor_version], [5])
++m4_define([grss_micro_version], [0])
++m4_define([grss_api_version], [0.5])
++m4_define([grss_version],
++          [grss_major_version.grss_minor_version.grss_micro_version])
++
++AC_INIT([libgrss], [grss_version], [])
++
++AC_CONFIG_HEADERS(config.h)
++
++AM_INIT_AUTOMAKE([1.11 no-dist-gzip dist-xz tar-ustar])
++m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
++AC_CONFIG_MACRO_DIR([m4])
++
++GNOME_MAINTAINER_MODE_DEFINES
++
++GRSS_MAJOR_VERSION=grss_major_version
++GRSS_MINOR_VERSION=grss_minor_version
++GRSS_MICRO_VERSION=grss_micro_version
++LIBGRSS_API_VERSION=grss_api_version
++LIBGRSS_VERSION=grss_version
++AC_SUBST(GRSS_MAJOR_VERSION)
++AC_SUBST(GRSS_MINOR_VERSION)
++AC_SUBST(GRSS_MICRO_VERSION)
++AC_SUBST(LIBGRSS_API_VERSION)
+ AC_SUBST(LIBGRSS_VERSION)
+ 
+-dnl libgrss checks
+-PKG_CHECK_MODULES(LIBGRSS,
+-                  gobject-2.0 >= glib_req_version dnl
+-                  libxml-2.0 >= xml_req_version dnl
+-                  libsoup-2.4 >= soup_req_version)
+-AC_SUBST(LIBGRSS_CFLAGS)
+-AC_SUBST(LIBGRSS_LIBS)
+-
+-dnl = Enable strict compiler flags =========================================
+-
+-# use strict compiler flags only on development releases
+-#m4_define([maintainer_flags_default],
+-#          m4_if(m4_eval(libgrss_minor_version % 2), [1], [yes], [no]))
+-m4_define([maintainer_flags_default], [no])
+-AC_ARG_ENABLE([maintainer-flags],
+-              AC_HELP_STRING([--enable-maintainer-flags=@<:@no/yes@:>@],
+-                             [Use strict compiler flags @<:@default=maintainer_flags_default@:>@]),,
+-              enable_maintainer_flags=maintainer_flags_default)
+-
+-if test "x$enable_maintainer_flags" = "xyes"; then
+-  CPPFLAGS="$CPPFLAGS -g -Wall -Wshadow -Wcast-align -Wno-uninitialized -Werror"
+-else
+-  CPPFLAGS="$CPPFLAGS -g -Wall"
++LT_PREREQ([2.2.6])
++LT_INIT([dlopen disable-static])
++
++IT_PROG_INTLTOOL([0.40.6])
++
++AC_PROG_CC
++
++GNOME_COMPILE_WARNINGS([maximum])
++
++AC_ARG_ENABLE(deprecation_flags,
++              [AC_HELP_STRING([--enable-deprecation-flags],
++                              [use *_DISABLE_DEPRECATED flags @<:@default=no@:>@])],,
++              [enable_deprecation_flags=no])
++
++if test "x$enable_deprecation_flags" = "xyes"; then
++   DISABLE_DEPRECATED_CFLAGS=$DISABLE_DEPRECATED
++   AC_SUBST(DISABLE_DEPRECATED_CFLAGS)
+ fi
+ 
+-dnl Internationalization
+ GETTEXT_PACKAGE=libgrss
+-AC_DEFINE_UNQUOTED([GETTEXT_PACKAGE], "$GETTEXT_PACKAGE", [Define the gettext package to use])
+ AC_SUBST(GETTEXT_PACKAGE)
++AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [Package name])
++
+ AM_GLIB_GNU_GETTEXT
+ 
+-AM_CONDITIONAL(GTK_DOC_BUILD_HTML, true)
+-AM_CONDITIONAL(GTK_DOC_BUILD_PDF, false)
+-dnl gnome-doc-utils stuff
+-GNOME_DOC_INIT
+-
+-GTK_DOC_CHECK([1.10])
+-
+-AC_CONFIG_FILES([
+-        Makefile
+-        src/Makefile
+-        doc/Makefile
+-        doc/reference/Makefile
+-        doc/reference/version.xml
+-        libgrss.pc
++# AM_GLIB_GNU_GETTEXT above substs $DATADIRNAME
++# this is the directory where the *.{mo,gmo} files are installed
++grsslocaledir='${prefix}/${DATADIRNAME}/locale'
++AC_SUBST(grsslocaledir)
++
++AC_PATH_PROG(PKG_CONFIG, pkg-config)
++AC_PATH_PROG([GLIB_GENMARSHAL], [glib-genmarshal])
++AC_PATH_PROG([GLIB_MKENUMS], [glib-mkenums])
++AC_CHECK_FUNCS([strptime localtime_r])
++
++AC_CHECK_LIBM
++AC_SUBST(LIBM)
++
++PKG_CHECK_MODULES([LIBGRSS],[
++	glib-2.0 >= 2.32.4
++	libsoup-2.4 >= 2.38.1
++	libxml-2.0 >= 2.7.8
+ ])
+ 
+-AC_OUTPUT
++##################################################
++# Checks for gtk-doc and docbook-tools
++##################################################
++GTK_DOC_CHECK([1.9])
++
++GOBJECT_INTROSPECTION_CHECK([1.30.0])
++
++AC_OUTPUT([
++	Makefile
++	src/Makefile
++	doc/Makefile
++	doc/reference/Makefile
++	doc/reference/version.xml
++	po/Makefile.in
++	libgrss.pc
++])
++
++dnl ---------------------------------------------------------------------------
++dnl - Show summary
++dnl ---------------------------------------------------------------------------
++
++echo "
++              libgrss $VERSION
++              `echo libgrss $VERSION | sed "s/./=/g"`
++
++        prefix:                       ${prefix}
++        source code location:         ${srcdir}
++        compiler:                     ${CC}
++        cflags:                       ${CFLAGS}
++        Maintainer mode:              ${USE_MAINTAINER_MODE}
++        Use *_DISABLE_DEPRECATED:     ${enable_deprecation_flags}
++
++        Build introspection support:  ${found_introspection}
++        Build gtk-doc documentation:  ${enable_gtk_doc}
++
++"
+ 
+-echo ""
+-echo "                libgrss: $VERSION"
+-echo ""
+-echo "                 Prefix: ${prefix}"
+-echo "         Compiler flags: ${CPPFLAGS}"
+-echo ""