Index: Portfile
===================================================================
--- Portfile	(revision 118522)
+++ Portfile	(working copy)
@@ -33,9 +33,9 @@
 #
 # if we start distributing betas, epoch will have to be added for the transition from version 4.x.y.b01 to 4.x.y
 set geant.versions_info {
-     9.5  1  0  2  4.9.5.p02    33413f6233b75c003254af5888f4af32d17f515d  adb04fce9472228bb10d78cbc7f40493bfb37454beee22e7c80d630646cd3777
-     9.6  1  0  2  4.9.6.p02    9ae32c3f8769e303b41df164693f77a74ca6db97  cf5df83b7e2c99e6729449b32d3ecb0727b4692317426b66fc7fd41951c7351f
-    10.0  0  0  1  4.10.00.p01  f1f70d381cef712781a1d0f13ffa4cb8fb4fa6a9  09c431ff3ef81034282c46501cea01046d4a20438c2ea2a7339576e1ecf26ba0
+     9.5  2  0  2  4.9.5.p02    33413f6233b75c003254af5888f4af32d17f515d  adb04fce9472228bb10d78cbc7f40493bfb37454beee22e7c80d630646cd3777
+     9.6  0  0  3  4.9.6.p03    581acefab40a25f5c7123cfa3a93c2a9d3ef2c73  3a7e969039e8992716b3bc33b44cbdbff9c8d5850385f1a02fdd756a4fa6305c
+    10.0  1  0  1  4.10.00.p01  f1f70d381cef712781a1d0f13ffa4cb8fb4fa6a9  09c431ff3ef81034282c46501cea01046d4a20438c2ea2a7339576e1ecf26ba0
 }
 
 set geant.data_versions_10.0 {
@@ -166,17 +166,11 @@
             file mkdir ${configure.dir}
         }
 
-        # https://trac.macports.org/ticket/42841
-        # https://trac.macports.org/ticket/42875
-        compiler.blacklist  {clang > 503} macports-clang-3.4 macports-clang-3.5
-
         configure.post_args ${worksrcpath}
 
         # check if these are all the dependencies
         depends_lib         port:${subport}-data \
-                            port:clhep \
                             port:expat \
-                            port:root \
                             port:zlib
         depends_run         port:geant4_select
 
@@ -184,13 +178,8 @@
         select.file         ${filespath}/${subport}
 
         configure.args-append -DGEANT4_USE_SYSTEM_EXPAT=ON \
-                              -DGEANT4_USE_SYSTEM_CLHEP=ON \
-                              -DCLHEP_CONFIG_EXECUTABLE=${prefix}/bin/clhep-config \
-                              -DCLHEP_INCLUDE_DIR=${prefix}/include \
-                              -DCLHEP_LIBRARY=${prefix}/lib/libCLHEP.dylib
+                              -DGEANT4_USE_SYSTEM_CLHEP=OFF
 
-        # GEANT4_USE_SYSTEM_CLHEP=OFF
-
         # - patch-upstream-source-interfaces-common-src-G4Qt.cc:
         #       http://bugzilla-geant4.kek.jp/show_bug.cgi?id=1487
         # - patch-upstream-examples-advanced-xray_fluorescence:
@@ -309,6 +298,17 @@
                                   -DGEANT4_INSTALL_EXAMPLES=ON
         }
 
+        variant clhep {Use external clhep} {
+            depends_lib-append    port:clhep
+            configure.args-replace \
+                                  -DGEANT4_USE_SYSTEM_CLHEP=OFF -DGEANT4_USE_SYSTEM_CLHEP=ON
+            configure.args-append -DGEANT4_USE_SYSTEM_EXPAT=ON \
+                                  -DGEANT4_USE_SYSTEM_CLHEP=ON \
+                                  -DCLHEP_CONFIG_EXECUTABLE=${prefix}/bin/clhep-config \
+                                  -DCLHEP_INCLUDE_DIR=${prefix}/include \
+                                  -DCLHEP_LIBRARY=${prefix}/lib/libCLHEP.dylib
+        }
+
         default_variants +gdml +qt
     }
 }
Index: files/patch-cmake-Modules-Geant4InterfaceOptions.cmake.496.diff
===================================================================
--- files/patch-cmake-Modules-Geant4InterfaceOptions.cmake.496.diff	(revision 118522)
+++ files/patch-cmake-Modules-Geant4InterfaceOptions.cmake.496.diff	(working copy)
@@ -1,6 +1,6 @@
 --- cmake/Modules/Geant4InterfaceOptions.cmake.orig
 +++ cmake/Modules/Geant4InterfaceOptions.cmake
-@@ -141,20 +141,11 @@ if(UNIX)
+@@ -174,22 +174,11 @@ if(UNIX)
      set(CMAKE_FIND_FRAMEWORK NEVER)
  
      set(X11_INC_SEARCH_PATH
@@ -11,9 +11,9 @@
 -        /usr/openwin/include 
 -        /usr/openwin/share/include 
 -        /opt/graphics/OpenGL/include
--        )
+-        /opt/X11/include
 +        @PREFIX@/include
-+    )
+         )
  
      set(X11_LIB_SEARCH_PATH
 -        /usr/pkg/xorg/lib
@@ -20,27 +20,28 @@
 -        /usr/X11R6/lib
 -        /usr/X11R7/lib
 -        /usr/openwin/lib 
+-        /opt/X11/lib
 +        @PREFIX@/lib
          )
  
      find_path(X11_Xmu_INCLUDE_PATH X11/Xmu/Xmu.h ${X11_INC_SEARCH_PATH})
-@@ -197,17 +188,17 @@ if(UNIX)
+@@ -232,17 +221,17 @@ if(UNIX)
        set(CMAKE_FIND_FRAMEWORK NEVER)
  
        find_path(OPENGL_X11_INCLUDE_DIR GL/gl.h
--        PATHS /usr/X11R6/include
+-        PATHS /usr/X11R6/include /opt/X11/include
 +        PATHS @PREFIX@/include
          NO_DEFAULT_PATH
          )
  
        find_library(OPENGL_X11_gl_LIBRARY GL
--        PATHS /usr/X11R6/lib
+-        PATHS /usr/X11R6/lib /opt/X11/lib
 +        PATHS @PREFIX@/lib
          NO_DEFAULT_PATH
          )
  
        find_library(OPENGL_X11_glu_LIBRARY GLU
--        PATHS /usr/X11R6/lib
+-        PATHS /usr/X11R6/lib /opt/X11/lib
 +        PATHS @PREFIX@/lib
          NO_DEFAULT_PATH
          )
Index: files/patch-upstream-source-interfaces-common-src-G4Qt.cc.496.diff
===================================================================
--- files/patch-upstream-source-interfaces-common-src-G4Qt.cc.496.diff	(revision 118522)
+++ files/patch-upstream-source-interfaces-common-src-G4Qt.cc.496.diff	(working copy)
@@ -2,7 +2,7 @@
  * http://bugzilla-geant4.kek.jp/show_bug.cgi?id=1487
 --- source/interfaces/common/src/G4Qt.cc.orig
 +++ source/interfaces/common/src/G4Qt.cc
-@@ -153,6 +153,20 @@ G4Qt::G4Qt (
+@@ -148,6 +148,20 @@ G4Qt::G4Qt (
    }
  #endif
    //  AddDispatcher     ((G4DispatchFunction)XtDispatchEvent);