--- _orig/security/log2timeline/Portfile	2014-02-12 05:30:47.000000000 -0500
+++ security/log2timeline/Portfile	2014-04-01 10:52:44.000000000 -0400
@@ -26,34 +26,8 @@
 checksums           sha1    99bb6f68a417aaa840a7957be9918586d1918a33 \
                     rmd160  c9dad4035bad1dbbf87e82f123aa014f03aa647f
 
-depends_lib         port:perl5.12 \
-                    port:p5.12-archive-zip \
-                    port:p5.12-carp-assert \
-                    port:p5.12-datetime-format-strptime \
-                    port:p5.12-datetime-timezone \
-                    port:p5.12-dbd-sqlite \
-                    port:p5.12-dbi \
-                    port:p5.12-digest-crc \
-                    port:p5.12-gtk2 \
-                    port:p5.12-html-parser \
-                    port:p5.12-html-scrubber \
-                    port:p5.12-image-exiftool \
-                    port:p5.12-libwww-perl \
-                    port:p5.12-net-pcap \
-                    port:p5.12-netpacket \
-                    port:p5.12-xml-libxml \
-                    port:p5.12-datemanip \
-                    port:p5.12-parse-win32registry \
-                    port:p5.12-file-mork \
-                    port:p5.12-data-hexify \
-                    port:p5.12-version \
-                    port:p5.12-params-validate \
-                    port:p5.12-xml-entities \
-                    port:p5.12-mac-propertylist
-
 supported_archs     noarch
 
-configure.cmd       ${prefix}/bin/perl5.12 Makefile.PL
 configure.pre_args
 
 post-destroot {
@@ -61,4 +35,104 @@
 }
 
 livecheck.type      regex
+livecheck.url       ${homepage}downloads/list
+## FIXME! port version empty ?!
 livecheck.regex     ${name}_(\\d+(\\.\[0-9a-z\]+)+)${extract.suffix}
+
+default_variants    +perl5_16
+
+variant perl5_12 conflicts perl5_18 perl5_16 description { Perl bindings with perl 5.12} {
+	depends_lib         port:perl5.12 \
+	                    port:p5.12-archive-zip \
+	                    port:p5.12-carp-assert \
+	                    port:p5.12-datetime-format-strptime \
+	                    port:p5.12-datetime-timezone \
+	                    port:p5.12-dbd-sqlite \
+	                    port:p5.12-dbi \
+	                    port:p5.12-digest-crc \
+	                    port:p5.12-gtk2 \
+	                    port:p5.12-html-parser \
+	                    port:p5.12-html-scrubber \
+	                    port:p5.12-image-exiftool \
+	                    port:p5.12-libwww-perl \
+	                    port:p5.12-net-pcap \
+	                    port:p5.12-netpacket \
+	                    port:p5.12-xml-libxml \
+	                    port:p5.12-datemanip \
+	                    port:p5.12-parse-win32registry \
+	                    port:p5.12-file-mork \
+	                    port:p5.12-data-hexify \
+	                    port:p5.12-version \
+	                    port:p5.12-params-validate \
+	                    port:p5.12-xml-entities \
+	                    port:p5.12-mac-propertylist
+	configure.cmd       ${prefix}/bin/perl5.12 Makefile.PL
+
+	notes "
+tool is ${prefix}/libexec/perl5.12/sitebin/log2timeline
+"
+}
+
+variant perl5_16 conflicts perl5_18 perl5_12 description { Perl bindings with perl 5.16} {
+	depends_lib         port:perl5.16 \
+	                    port:p5.16-archive-zip \
+	                    port:p5.16-carp-assert \
+	                    port:p5.16-datetime-format-strptime \
+	                    port:p5.16-datetime-timezone \
+	                    port:p5.16-dbd-sqlite \
+	                    port:p5.16-dbi \
+	                    port:p5.16-digest-crc \
+	                    port:p5.16-gtk2 \
+	                    port:p5.16-html-parser \
+	                    port:p5.16-html-scrubber \
+	                    port:p5.16-image-exiftool \
+	                    port:p5.16-libwww-perl \
+	                    port:p5.16-net-pcap \
+	                    port:p5.16-netpacket \
+	                    port:p5.16-xml-libxml \
+	                    port:p5.16-datemanip \
+	                    port:p5.16-parse-win32registry \
+	                    port:p5.16-file-mork \
+	                    port:p5.16-data-hexify \
+	                    port:p5.16-version \
+	                    port:p5.16-params-validate \
+	                    port:p5.16-xml-entities \
+	                    port:p5.16-mac-propertylist
+	configure.cmd       ${prefix}/bin/perl5.16 Makefile.PL
+
+	notes "
+tool is ${prefix}/libexec/perl5.16/sitebin/log2timeline
+"
+}
+
+variant perl5_18 conflicts perl5_16 perl5_12 description { Perl bindings with perl 5.18} {
+	depends_lib         port:perl5.18 \
+	                    port:p5.18-archive-zip \
+	                    port:p5.18-carp-assert \
+	                    port:p5.18-datetime-format-strptime \
+	                    port:p5.18-datetime-timezone \
+	                    port:p5.18-dbd-sqlite \
+	                    port:p5.18-dbi \
+	                    port:p5.18-digest-crc \
+	                    port:p5.18-gtk2 \
+	                    port:p5.18-html-parser \
+	                    port:p5.18-html-scrubber \
+	                    port:p5.18-image-exiftool \
+	                    port:p5.18-libwww-perl \
+	                    port:p5.18-net-pcap \
+	                    port:p5.18-netpacket \
+	                    port:p5.18-xml-libxml \
+	                    port:p5.18-datemanip \
+	                    port:p5.18-parse-win32registry \
+	                    port:p5.18-file-mork \
+	                    port:p5.18-data-hexify \
+	                    port:p5.18-version \
+	                    port:p5.18-params-validate \
+	                    port:p5.18-xml-entities \
+	                    port:p5.18-mac-propertylist
+	configure.cmd       ${prefix}/bin/perl5.18 Makefile.PL
+
+	notes "
+tool is ${prefix}/libexec/perl5.18/sitebin/log2timeline
+"
+}