Index: Portfile
===================================================================
--- Portfile	(revision 118522)
+++ Portfile	(working copy)
@@ -6,8 +6,7 @@
 PortGroup           wxWidgets 1.0
 
 name                mkvtoolnix
-version             6.3.0
-revision            2
+version             6.8.0
 categories          multimedia
 maintainers         nomaintainer
 license             GPL-2+ LGPL-2.1+
@@ -22,8 +21,8 @@
                     http://svn.mandriva.com/svn/packages/cooker/mkvtoolnix/releases/${version}/1/SOURCES/
 use_xz              yes
 
-checksums           rmd160  7147271b54cf7ccb1ea9683428f6d9ccd47ae3fb \
-                    sha256  bc05f07d92190d018e901091a07ed5139f4eec833203af04672e4d3a0c619ba1
+checksums           rmd160  d600a14c9fc0ea570ff812f1ac67705e648d6e05 \
+                    sha256  585b07a9a4c47d2ad0a907f5b0ee809108363721221494e9846da5736b808b99
 
 wxWidgets.use       wxWidgets-3.0
 
@@ -45,10 +44,7 @@
                     port:ruby \
                     port:zlib
 
-patch.pre_args      -p1
 patchfiles          patch-clang_errors.diff
-# Remove when version > 6.3.0 is released
-patchfiles-append   patch-df750c2.diff
 
 
 platform darwin {
Index: files/patch-clang_errors.diff
===================================================================
--- files/patch-clang_errors.diff	(revision 118522)
+++ files/patch-clang_errors.diff	(working copy)
@@ -1,7 +1,6 @@
-diff -pur mkvtoolnix-6.3.0.orig/src/common/command_line.cpp mkvtoolnix-6.3.0/src/common/command_line.cpp
---- mkvtoolnix-6.3.0.orig/src/common/command_line.cpp	2013-08-24 18:35:22.000000000 -0400
-+++ mkvtoolnix-6.3.0/src/common/command_line.cpp	2013-08-24 18:36:30.000000000 -0400
-@@ -285,6 +285,7 @@ handle_common_cli_args(std::vector<std::
+--- src/common/command_line.cpp.orig
++++ src/common/command_line.cpp
+@@ -291,6 +291,7 @@ handle_common_cli_args(std::vector<std::string> &args,
      } else if ((args[i] == "-h") || (args[i] == "-?") || (args[i] == "--help"))
        usage();
  
@@ -9,7 +8,7 @@
  #if defined(HAVE_CURL_EASY_H)
      else if (args[i] == "--check-for-updates") {
        mtx_release_version_t rel = get_latest_release_version();
-@@ -304,6 +305,7 @@ handle_common_cli_args(std::vector<std::
+@@ -310,6 +311,7 @@ handle_common_cli_args(std::vector<std::string> &args,
        mxexit(rel.current_version < rel.latest_source ? 1 : 0);
      }
  #endif  // defined(HAVE_CURL_EASY_H)
@@ -17,10 +16,9 @@
  
      else
        ++i;
-diff -pur mkvtoolnix-6.3.0.orig/src/common/version.cpp mkvtoolnix-6.3.0/src/common/version.cpp
---- mkvtoolnix-6.3.0.orig/src/common/version.cpp	2013-08-24 18:35:22.000000000 -0400
-+++ mkvtoolnix-6.3.0/src/common/version.cpp	2013-08-24 18:35:43.000000000 -0400
-@@ -220,7 +220,7 @@ get_latest_release_version() {
+--- src/common/version.cpp.orig
++++ src/common/version.cpp
+@@ -228,7 +228,7 @@ get_latest_release_version() {
      std::stringstream urls;
      brng::for_each(release.urls, [&](std::pair<std::string, std::string> const &kv) { urls << " " << kv.first << ":" << kv.second; });
      mxdebug(boost::format("update check: current %1% latest source %2% latest winpre %3% URLs%4%\n")
Index: files/patch-df750c2.diff
===================================================================
--- files/patch-df750c2.diff	(revision 118522)
+++ files/patch-df750c2.diff	(working copy)
@@ -1,41 +0,0 @@
-From df750c28b6f7258dd4c3037e1132c81300b8cdfa Mon Sep 17 00:00:00 2001
-From: Moritz Bunkus <moritz@bunkus.org>
-Date: Sun, 14 Jul 2013 17:25:42 +0200
-Subject: [PATCH] Fix compilation with clang/libc++ on FreeBSD
-
-On FreeBSD the high_resolution_clock is an alias for the steady_clock
--- which doesn't support converting into time_t. As we only need a
-precision of seconds for outputting timestamps using system_clock
-instead is enough.
----
- src/common/logger.cpp | 6 +++---
- 1 file changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/src/common/logger.cpp b/src/common/logger.cpp
-index 7f6e5f2..04251d2 100644
---- a/src/common/logger.cpp
-+++ b/src/common/logger.cpp
-@@ -20,7 +20,7 @@
- 
- logger_cptr logger_c::s_default_logger;
- 
--static auto s_program_start_time = std::chrono::high_resolution_clock::now();
-+static auto s_program_start_time = std::chrono::system_clock::now();
- 
- logger_c::logger_c(bfs::path const &file_name)
-   : m_file_name(file_name)
-@@ -41,9 +41,9 @@
-     mm_text_io_c out(new mm_file_io_c(m_file_name.string(), bfs::exists(m_file_name) ? MODE_WRITE : MODE_CREATE));
-     out.setFilePointer(0, seek_end);
- 
--    auto now  = std::chrono::high_resolution_clock::now();
-+    auto now  = std::chrono::system_clock::now();
-     auto diff = now - s_program_start_time;
--    auto tnow = std::chrono::high_resolution_clock::to_time_t(now);
-+    auto tnow = std::chrono::system_clock::to_time_t(now);
- 
-     // 2013-03-02 15:42:32
-     char timestamp[30];
--- 
-1.8.1.6
-